package design.patterns.behavioural.strategy;

public abstract class Duck {

    public FlyBehaviour f;

    public QuackBehaviour q;

    abstract void display();

    public void quack(){
        q.quack();
    }

    public void swim(){
        System.out.println("Duck Swimming..");
    }

    public void fly(){
        f.fly();
    }

}
