package design.patterns.structural.adapter.employee;

import java.util.ArrayList;

public class EmployeeDTO {

    private String name;
    private String address;
    private String email;
    private String phoneNumber;
    private String position;

    private ArrayList<EducationModel> educationList;
    private ArrayList<ExperienceModel> experienceList;

    public EmployeeDTO(String name, String address, String email, String phoneNumber, String position, ArrayList<EducationModel> educationList, ArrayList<ExperienceModel> experienceList) {
        this.name = name;
        this.address = address;
        this.email = email;
        this.phoneNumber = phoneNumber;
        this.position = position;
        this.educationList = educationList;
        this.experienceList = experienceList;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    public String getPosition() {
        return position;
    }

    public void setPosition(String position) {
        this.position = position;
    }

    public ArrayList<EducationModel> getEducationList() {
        return educationList;
    }

    public void setEducationList(ArrayList<EducationModel> educationList) {
        this.educationList = educationList;
    }

    public ArrayList<ExperienceModel> getExperienceList() {
        return experienceList;
    }

    public void setExperienceList(ArrayList<ExperienceModel> experienceList) {
        this.experienceList = experienceList;
    }
}
