package design.patterns.structural.proxy.virtualproxy;

public class PersonProxy implements PersonI{

    private String name;
    private Integer age;
    private Person person;

    public PersonProxy(String name, Integer age) {
        this.name = name;
        this.age = age;
    }


    public String getName() {
        if (person == null) {
            person = new Person(name, age);
        }
        return person.getName();
    }

    public Integer getAge() {
        if (person == null) {
            person = new Person(name, age);
        }
        return person.getAge();
    }
}
