package design.patterns.structural.adapter.employee;

public class EmployeeAdapter extends EmployeeModel{

    EmployeeDTO employeeDTO;

    public EmployeeAdapter(EmployeeDTO employeeDTO) {
        this.employeeDTO = employeeDTO;
        setName(employeeDTO.getName());
        setPosition(employeeDTO.getPosition());
        setAddress(employeeDTO.getAddress());
        setEmail(employeeDTO.getEmail());
        setPhoneNumber(employeeDTO.getPhoneNumber());
    }

}
