package design.patterns.structural.proxy.protectionproxy;

public class DBServiceProxy implements DBService{

    private boolean isAuthenticate = false;

    public DBServiceProxy(boolean isAuthenticate) {
        this.isAuthenticate = isAuthenticate;
    }

    @Override
    public String getEmployeeData() {
        if (isAuthenticate) {
         DBServiceImpl dbService = new DBServiceImpl();
            return dbService.getEmployeeData();
        } else
            return "access denied..";
    }

    @Override
    public String getStudentData() {
        if (isAuthenticate) {
            DBServiceImpl dbService = new DBServiceImpl();
            return dbService.getStudentData();
        } else
            return "access denied..";
    }
}
