package design.patterns.structural.proxy.virtualproxy;

public class Person implements PersonI{

    private String name;
    private Integer age;

    public Person(String name, Integer age) {
        // simulating expensive process
        for(Long i = 0l; i < 1_000_000; i++) {
            System.out.println("processing....");
        }

        this.name = name;
        this.age = age;
    }


    public String getName() {
        return name;
    }

    public Integer getAge() {
        return age;
    }
}
